#include <bits/stdc++.h>
#define MAXN 100010

int N;

using namespace std;

int main(){
    ios::sync_with_stdio(false); cin.tie(0);
    cin>>N;
    long long X[N], rez[MAXN], Y[N];
    long long x, y, z;
    for(int i = 0; i < N; i++){
        cin>>X[i];
    }

    for(int i = 0; i < N; i++){
        cin>>Y[i];
    }

    for(int i = 0; i < N; i++){
        cin>>z;
        if(z > 0) rez[Y[z - 1]]++;
    }

    long long sum = 0;
    for(int i = 0; i < N; i++){
        sum += rez[X[i]];
    }

    cout<<sum;
    return 0;
}